<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

if (TYPO3_MODE === 'BE') {

	/**
	 * Registers a Backend Module
	 */
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'ROQUIN.' . $_EXTKEY,
		'web',	 // Make module a submodule of 'web'
		'redirect',	// Submodule key
		'',						// Position
		array(
			'Domain' => 'list,new',
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:' . $_EXTKEY . '/Resources/Public/Icons/redirect_module.svg',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_redirect.xlf',
		)
	);

}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Redirect');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_roqredirect_domain_model_redirect', 'EXT:roq_redirect/Resources/Private/Language/locallang_csh_tx_roqredirect_domain_model_redirect.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_roqredirect_domain_model_redirect');
$TCA['tx_roqredirect_domain_model_redirect'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:roq_redirect/Resources/Private/Language/locallang_db.xlf:tx_roqredirect_domain_model_redirect',
		'label' => 'redirect_url',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
        'type' => 'type',
        'typeicon_column' => 'type',
        'typeicons' => array (
            'default' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/page_white_go.png',
            '1' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_roqredirect_domain_model_redirect.png',
            '2' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/folder_go.png',
        ),
		'typeicon_classes' => [
			'default' => 'apps-pagetree-page-shortcut-external',
			'0' => 'apps-pagetree-page-default',
			'1' => 'apps-pagetree-page-domain',
			'2' => 'apps-pagetree-folder-contains-board',
		],
        'useColumnsForDefaultValues' => 'type',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'redirect_url,redirect_to,http_code',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Redirect.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_roqredirect_domain_model_redirect.png'
	),
);

?>